import java.util.Scanner;
import java.io.File;
import java.io.PrintWriter;

/**
 * Created by IntelliJ IDEA.
 * User: o_00
 * Date: 19.10.2009
 * Time: 15:49:33
 * To change this template use File | Settings | File Templates.
 */
public class Mean implements Runnable {
    final String fName = "mean";

    public void run() {
        try {
            Scanner in = new Scanner( new File( fName + ".in" ) );
            PrintWriter out = new PrintWriter( new File( fName + ".out" ) );
            int n = in.nextInt();
            long p = in.nextLong() * 100 + in.nextLong();
            if ( n * p % 100 != 0) out.println(0);
            else {
                for(int i = 0; i < n - 1; i++) out.print( p / 100 + " ");
                out.println( ( ( p * n / 100 ) - (p / 100) * (n - 1) ) );
            }
            in.close();
            out.close();
        } catch ( Exception e ) {
            e.printStackTrace();
            System.exit(1);
        }
    }

    public static void main( String[] args ){
        new Thread( new Mean() ).start();
    }
}
